Bug 53437 - [patch] [non-maintainer] change BROKEN to NOT_FOR_ARCHS for lang/hugs
[patch] [non-maintainer] change BROKEN to NOT_FOR_ARCHS for lang/hugs
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: obraun
Depends on:
  Show dependency treegraph
Reported: 2003-06-18 09:50 UTC by linimon
Modified: 2009-01-14 20:29 UTC (History)
0 users

See Also:

file.diff (403 bytes, patch)
2003-06-18 09:50 UTC, linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description linimon 2003-06-18 09:50:08 UTC
	The NOT_FOR_ARCHS Makefile variable antedates the usage of BROKEN in
	this Makefile.  Setting it this way will prevent the bento cluster
	from wasting cycles.

How-To-Repeat: 	n/a
Comment 1 linimon 2003-06-18 21:00:58 UTC
Actually, a more careful reading of bsd.port.mk suggests that
this should have been changed from BROKEN to IGNORE.
It seems NOT_FOR_ARCHS is reserved to indicate a permanent
condition.  However, setting it to IGNORE will still save time
on bento.

--- hugs/Makefile.dist	Fri Feb 21 07:16:13 2003
+++ hugs/Makefile	Wed Jun 18 14:59:58 2003
@@ -15,7 +15,7 @@
 COMMENT=	An interpreter for the functional programming language Haskell 98
 .if ${MACHINE_ARCH} == "alpha" || ${MACHINE_ARCH} == "sparc64"
-BROKEN=	"Does not build on ${MACHINE_ARCH}"
+IGNORE=	"Does not build on ${MACHINE_ARCH}"
Comment 2 Christian Weisgerber freebsd_committer 2003-06-27 16:50:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obraun

Over to maintainer.
Comment 3 obraun freebsd_committer 2003-06-27 17:47:13 UTC
State Changed
From-To: open->closed

Committed, thanks!